with GNATCOM.Errors;

package body MSHTML.ILineInfo_Interface is

   procedure Initialize (This : in out ILineInfo_Type) is
   begin
      Set_IID (This, IID_ILineInfo);
   end Initialize;

   function Pointer (This : ILineInfo_Type)
     return Pointer_To_ILineInfo
   is
   begin
      return To_Pointer_To_ILineInfo (Address (This));
   end Pointer;

   procedure Attach (This    : in out ILineInfo_Type;
                     Pointer : in     Pointer_To_ILineInfo)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_x
     (This : ILineInfo_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_x
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_x;

   function Get_baseLine
     (This : ILineInfo_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_baseLine
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_baseLine;

   function Get_textDescent
     (This : ILineInfo_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_textDescent
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_textDescent;

   function Get_textHeight
     (This : ILineInfo_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_textHeight
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_textHeight;

   function Get_lineDirection
     (This : ILineInfo_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_lineDirection
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_lineDirection;

end MSHTML.ILineInfo_Interface;

